summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-04-18 20:06:58 +0200
committerLars Wendler <polynomial-c@gentoo.org>2019-04-18 20:07:30 +0200
commit98d4dfcd351708fbb50a86f20ebf82d8d93096d2 (patch)
treef106c0c51243ba3f691a3ff38ee0ce8f31807774 /net-libs
parentdev-cpp/rttr: Add ~arm64 keyword (diff)
downloadgentoo-98d4dfcd351708fbb50a86f20ebf82d8d93096d2.tar.gz
gentoo-98d4dfcd351708fbb50a86f20ebf82d8d93096d2.tar.bz2
gentoo-98d4dfcd351708fbb50a86f20ebf82d8d93096d2.zip
net-libs/nghttp2: Minor ebuild improvement
Package-Manager: Portage-2.3.63, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/nghttp2/nghttp2-1.37.0.ebuild4
-rw-r--r--net-libs/nghttp2/nghttp2-1.38.0.ebuild4
-rw-r--r--net-libs/nghttp2/nghttp2-9999.ebuild6
3 files changed, 10 insertions, 4 deletions
diff --git a/net-libs/nghttp2/nghttp2-1.37.0.ebuild b/net-libs/nghttp2/nghttp2-1.37.0.ebuild
index 20f89187f0f..f27032d7957 100644
--- a/net-libs/nghttp2/nghttp2-1.37.0.ebuild
+++ b/net-libs/nghttp2/nghttp2-1.37.0.ebuild
@@ -64,5 +64,7 @@ multilib_src_configure() {
}
multilib_src_install_all() {
- use static-libs || find "${ED%/}"/usr -name '*.la' -delete
+ if ! use static-libs ; then
+ find "${ED}"/usr -name '*.la' -delete || die
+ fi
}
diff --git a/net-libs/nghttp2/nghttp2-1.38.0.ebuild b/net-libs/nghttp2/nghttp2-1.38.0.ebuild
index 633fb68774c..1979bd70cc2 100644
--- a/net-libs/nghttp2/nghttp2-1.38.0.ebuild
+++ b/net-libs/nghttp2/nghttp2-1.38.0.ebuild
@@ -83,5 +83,7 @@ multilib_src_configure() {
}
multilib_src_install_all() {
- use static-libs || find "${ED%/}"/usr -name '*.la' -delete
+ if ! use static-libs ; then
+ find "${ED}"/usr -name '*.la' -delete || die
+ fi
}
diff --git a/net-libs/nghttp2/nghttp2-9999.ebuild b/net-libs/nghttp2/nghttp2-9999.ebuild
index e5d039fc718..0950bfb1def 100644
--- a/net-libs/nghttp2/nghttp2-9999.ebuild
+++ b/net-libs/nghttp2/nghttp2-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# TODO: Add python support.
@@ -69,5 +69,7 @@ multilib_src_configure() {
}
multilib_src_install_all() {
- use static-libs || find "${ED%/}"/usr -name '*.la' -delete
+ if ! use static-libs ; then
+ find "${ED}"/usr -name '*.la' -delete || die
+ fi
}